package com.safeluck.aaej.app.controller

import com.safeluck.aaej.app.config.AllowVisitor
import com.safeluck.aaej.base.vo.JsonResult
import org.springframework.boot.autoconfigure.web.servlet.error.ErrorMvcAutoConfiguration
import org.springframework.boot.web.servlet.error.ErrorController
import org.springframework.stereotype.Controller
import javax.servlet.http.HttpServletRequest
import org.springframework.web.bind.annotation.ResponseBody
import org.springframework.web.bind.annotation.RequestMapping



//ErrorMvcAutoConfiguration

@AllowVisitor
@Controller
class CustomErrorController:ErrorController
{
    @RequestMapping("/error")
    @ResponseBody
    fun handleError(request: HttpServletRequest): Any {
        val statusCode = request.getAttribute("javax.servlet.error.status_code") as Int
//        val exception = request.getAttribute("javax.servlet.error.exception") as Exception
        return JsonResult.failed("HTTP ERROR $statusCode")
    }

    override fun getErrorPath(): String {
        return "/error"
    }

}